; These constants mirror those provided by the Skype COM API (SkypeAPI.dll).
;
; NOTE:  Every constant type x should have a constant named XUnknown with a value of -1,
; but JAWS does not allow negative constants and seems to chop off the high-order bit when a hex value is used to get around this;
; so scripters must assume a method return less than 0 is the appropriate Unknown for its type.
;
; Author:  Doug Lee

const
; ConnectionStatus constants
	ConOffline = 00,
	ConConnecting = 1,
	ConPausing = 2,
	ConOnline = 3,
; SkypeOnlineStatus constants
	OLSOffline = 0,
	OLSOnline = 1,
	OLSAway = 2,
	OLSNotAvailable = 3,
	OLSInvisible = 4,
	OLSDoNotDisturb = 5,
	OLSSkypeMe = 6,
; SkypeCallProgress constants
	PrgUnplaced = 0,
	PrgRouting = 1,
	PrgEarlyMedia = 2,
	PrgFailed = 3,
	PrgRinging = 4,
	PrgInProgress = 5,
	PrgOnHold = 6,
	PrgFinished = 7,
	PrgMissed = 8,
	PrgRefused = 9,
	PrgBusy = 10,
; SkypeCallType constants
	CTypIncomingPSTN = 0,
	CTypOutgoingPSTN = 1,
	CTypIncomingP2P = 2,
	CTypOutgoingP2P = 3,
; SkypeMessageStatus constants
	MsgSending = 0,
	MsgSent = 1,
	MsgFailed = 2,
	MsgReceived = 3,
	MsgRead = 4,
	MsgIgnored = 5,
	MsgQueued = 6,
; SkypeMessageType constants
	MTypAuthRequest = 0,
	MTypText = 1,
	MTypContacts = 2,
; SkypeBuddyStatus constants
; TODO: Fix the prefixes.
	BudNever = 0,
	BudDeleted = 1,
	BudPending = 2,
	BudFriend = 3,
; SkypeUserSex constants
	USexNotSpecified = 0,
	USexMale = 1,
	USexFemale = 2,
; SkypeAPIAttachmentStatus constants
	APIAttachSuccess = 0,
	APIAttachPendingAuth = 1,
	APIAttachRefused = 2,
	APIAttachNotAvailable = 3,
	APIAttachAPIAvail = 32769
