; Scripts for SkypeSetup process.
;
; Purpose(s):
;	- Make TNewCheckListBox windows read nicely.
;
; Author:  Doug Lee of Bartimaeus Group

include "hjconst.jsh"

script ScriptFileName()
scriptAndAppNames("SkypeSetup")
endScript

int function sayCheckList()
; Announces TNewCheckListBox items properly.
var
	handle hwnd,
	int typeCode,
	string wclass
let hwnd = getFocus()
let typeCode = getWindowTypeCode(hwnd)
let wclass = getWindowClass(hwnd)
if wclass == "TNewCheckListBox" then
	sayChunk()
	sayMessage(OT_Position, positionInGroup())
	return True
endIf
return False
endFunction

script sayLine()
; Applies SayCheckList to the SayLine command (JAWSKey+upArrow).
if !sayCheckList() then
	performScript sayLine()
endIf
endScript

script sayWindowPromptAndText()
; Applies SayCheckList to the SayWindowPromptAndText command (JAWSKey+tab).
if !sayCheckList() then
	performScript sayWindowPromptAndText()
endIf
endScript

void function keyPressedEvent(int nKey, string strKeyName, int nIsBrailleKey, int nIsScriptKey)
; Announces state change on checkList boxes.
if nKey == Key_SpaceBar then
	scheduleFunction("sayCheckList", 1)
endIf
keyPressedEvent(nKey, strKeyName, nIsBrailleKey, nIsScriptKey)
endFunction

void function focusPointMovedEvent(int nX, int nY, int nOldX, int nOldY, int nUnit, int nDir, int nTimeElapsed)
; Announces checkList items during navigation among them.
scheduleFunction("sayCheckList", 1)
focusPointMovedEvent(nX, nY, nOldX, nOldY, nUnit, nDir, nTimeElapsed)
endFunction

