; Include file for Skype scripts
; Includes localized output messages as well as localized constants

; All strings in this file need to be localized.

const
; Skype window names (need localizing)
; "Wn" is the JAWS standard prefix for "window name" constants.
; The prefix of the main Skype window's name
	WnSkype = "Skype",
; Skype tab sheet names
	WnStart = "Start",
	WnContacts = "Contacts",
	WnHistory = "Call List",
	WnDial = "Dial",
; Menu names that can be handed to SkypeUtil.jsl::GetContactList() to get lists of contacts.
; cln stands for Contact List Name and is a submenu name under Call unless otherwise noted.
	clnAnswer = "Answer",
	clnCall = "Call Contact",
	clnCallers = "Callers",   ; Pseudo-list name: actually coded to refer to the Callers combo box in the Call List tab
	clnChat = "Chat",  ; under Tools
	clnIM = "Instant Message",  ; under Tools, old (1.0) name of Chat menu
	clnHangup = "Hangup",
	clnHold = "Hold",
	clnIgnore = "Ignore",
	clnRecentChats = "Recent Chats",  ; under Tools
	clnResume = "Resume",
; Menu names used by GetContactList().
	mnTools = "Tools",
	mnCall = "Call",
; Other menu names
	mnFile = "File",
	mnChangeStatus = "Change Status",
; Toolbar icon names.
; %c% becomes the active call's contact name.
	TB_Main1 = "View Profile|Add User To Contact List|Block User||Send Instant Message To %c%|Invite Selected Contacts To a Conference Call|Send Contacts To %c%||Mute Microphone|Hold Current Call or Conference||Add a Contact|Search For Skype Users",
	TB_Main2 = "View Profile|Add a Contact|Block User||Send Instant Message To %c%|Invite Selected Contacts To a Conference Call|Send Contacts To %c%||Mute Microphone|Hold Current Call or Conference||Add a Contact|Search For Skype Users",
	TB_Chat = "Call %c%|Cancel Current Call||View the Skype Profile For %c%|Block %c%||Clear Instant Message History For This User|View Instant Message History For This User||Select and Send Contacts To %c%|Add This Contact||Send File To %c%",
; Pseudo-toolbar on Call List tab (four buttons, then combo box, then Clear button).
; The combo box name here is arbitrary, since there is no on-screen name.
	TB_CallFilters = "All Calls|Missed Calls|Incoming Calls|Outgoing Calls|Show Calls For|Clear Call List",
; The two large buttons near the bottom of the main Skype window.
; These tend to show tool tips like "End Call" and "Call <userName>";
; the names here do not directly reflect the tool tips.
; These are actually each in a separate one-button toolbar window in Skype 1.0; they seem to have no windows in Skype 1.1.
	TB_Bottom = "Hang UP|Pick Up",
; What to say for a combo box (window/control type)
	WtComboBox = "combo box"

Messages
@SkypeStartMsg_L
Welcome to Skype.  Press %keyfor(HotKeyHelp) for a list of Jaws hotkeys that can be used within Skype
@@
@SkypeStartMsg_S
Welcome To Skype. %keyfor(HotKeyHelp) for Help
@@
@HotKeyHelp_Msg
Welcome to the Skype Internet Telephony Program, script version 3.0.  Jaws specific hotkeys are as follows:

Press %keyfor(SayOnlineList) To announce online contacts, to identify the person calling when receiving a call, or
to identify the person currently on hold.
To toggle various Skype options such as automatic speaking of online status or read chat activity,
press %keyfor (AdjustJawsVerbosityInSkype)
To go to the responses list within a contact search dialog, press %keyfor(GoToResponsesList).
If not all responses are displayed in the search dialog, press %KeyFor(GetMoreSearchResults)
To launch the Skype Scripts home page, press %keyfor(SkypeScriptsHomePage).
To find out how many tabs are showing and list them, press %keyfor(GetSkypeActiveTabInfo).
Pressing this command twice quickly will bring up a list of available tabs, from which you can select one by pressing Enter on its line.
To switch to a particular tab instantly, press ctrl+Shift+1 through Ctrl+Shift+9.

A Word about tab switching

Tabs are numbered from left to right starting at the first visible tab.
For example, if your tab order appears as "Start tab, Contacts Tab, Dial Tab, and Call History Tab," 
pressing ctrl+Shift+2 will move you to the contacts tab.  Pressing this, or any tab movement key twice quickly
will set focus to the tab control itself, after which you can use left/right arrows to move among tabs.
Setting focus to a tab can be useful because it allows you to press the context key or right click on the tab.
In a conference tab, for example, you can change conference properties or  hang up the conference, etc.
If Skype seems unresponsive after setting focus t a tab, simply move out of the Skype application or minimize all applications and the problem should resolve itself.
The order of the tabs can vary depending on your individual settings, but the first tab should always be the Start tab 
and the second should always be the Contacts tab.
The next tab will be the Dial tab if it is enabled (otherwise known as the dial pad in skype),
and after that comes the Call List tab.  Following that appear any active call or conference tabs.

Known Issues:
1. If pressing control tab or control shift tab does not switch skype tabs, first press WindowsKey+M to minimize the Skype program,
then press alt+tab until you re-enter the program, and finally  press shift+tab followed by control+tab.  You should then be able to change tabs in Skype.
2. If you are unable to arrow through your contact list, press %KeyFor(CustomHighlightTrainer) to train the scripts to recognize the correct colors.
3. If things are behaving strangely, you can press
%keyfor(ResetScript)
to reset internal variables.
Note that this key will also ask if you wish to remove existing highlight color assignments, which are used to properly speak lists and menus.
Only answer Yes to this question if you know what you are doing.
If you have any comments or questions concerning these scripts, please email Chris Nestrud at ccn@panix.com.
You can press
%KeyFor(SkypeScriptsHomePage)
to access a web page containing updated news and helpful information about Skype and these scripts.
@@
@NewMessage_L
New chat
@@
@NewMessage_S
Chat
@@
@NoChatErrors
No chat error or status messages found
@@
@NotInSearchDialog_L
You must be in the search dialog to access the list of responses.
@@
@NotInSearchDialog_S
Not in search dialog.
@@
@AlreadyInResponses_L
You are already in the list of responses.
@@
@AlreadyInResponses_S
Already in responses list.
@@
@SkypeScriptsHomePage_L
Launching the Skype Scripts home page. Please wait.
@@
@SkypeScriptsHomePage_S
Loading page, Please Wait
@@
@htStart_L
Custom Highlight Trainer Started, Please Wait
@@
@htStart_S
Training, Please Wait
@@
@htMove_L
Moving to appropriate area.
@@
@htMoveFail_L
Move failed. Please place the PC cursor in the desired area and try again.
@@
@htAlreadyRecognized_L
The located color is already being recognized.
@@
@htRecognized_L
A New color is now being recognized. Please press %keyfor(CustomHighlightTrainer) in any other problematic areas and reload JAWS when finished.
@@
@htWriteFailed_L
The color could not be written to the configuration file.
@@
@htBadColor_L
The chosen color is almost certainly inaccurate and has not been used. If you are in the contact or call list, please make sure that the list has at least one item. Press %keyfor(SkypeScriptsHomePage) and read the resulting web page for more information.
@@
@htWhereAmI_L
You appear to not be in a trainable area. Please place the PC cursor in one of the trainable areas (contact list, call list, or pull-down menu) and press %keyfor(CustomHighlightTrainer) again.
@@
@rsStart_L
Resetting internal script variables.
@@
@rsRemoveYes_L
Highlight color removal was successful. Please use %keyfor(CustomHighlightTrainer) to re-add color assignments.
@@
@RSRemoveNo_L
Removal of highlight color assignments failed.
@@
@rsFinished_L
Reset complete.
@@
@SpeakContactInfoFailed_L
Contact information not found.
@@
; The seemingly double entry in the below list is for handling JAWS' merging of the indicated two lines into one line in its view of the window.
; This phenomenon can be seen in the Virtual Viewer by using ctrl+JAWSKey+w to virtualize an active call window.
; [DGL, 2004-12-14]
@ReadingStoppers
Your Account|Get SkypeOut and call your offline friends|SkypeOut: Global calling at local rates|Get SkypeOut and call your offline friendsSkypeOut: Global calling at local rates|Search for Skype users 
@@
@SkypeAppVersionStringMsg_L
This is version 3.0 of the Skype scripts, released 02/14/2005.
@@
@msgDisabledEnabled
Disabled|Enabled
@@
@TabNotFound_L
Tab Control Not Found.  Try Press %KeyFor(MinimizeAllApps)
Return to skype, and try again.
@@
@TabNotFound_S
Tab Control Not Found
@@
@NotEnoughTabs_L
There are not that many tabs active
@@
@NotEnoughTabs_S
Not that many tabs
@@
@MoveTabNotfound_l
%1 tab not found.
@@
@AlreadyActive_l
The %1 Tab is already active
@@
@TabMsg_S
 tab
@@
@YouAreInWhichTab_L
You are in the %1 tab
@@
@TabCountMsg_L
There are %1 tabs showing in the Skype window
@@
@TabCountMsg_S
%1 tabs showing
@@
@ActiveTabMsg_L
The active tab is %1
@@
@ActiveTabMsg_S
Active tab is %1
@@
@BufActiveTab_l
%1 which is active
@@
@BufActiveTab_s
%1 (active)
@@
@TabListTitle
Select a Tab
@@
@and_Msg
and
@@
@msgNoList
Unable to find the %1 menu
@@
@msgNoMSAAMenuBar
Unable to find the MSAA menu bar object
@@
@msgUnnamed
Unnamed
@@
@msgUnnamedItem
Item %1
@@
@msgChecked
checked
@@
@msgNotChecked
not checked
@@
@msgUnavailable
unavailable
@@
@msgInvisible
invisible
@@
@msgOffScreen
off screen
@@
@msgRadioButton
radio button
@@
@msgCheckBox
check box
@@
EndMessages
